'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _relatedFiles = require('../../containers/media/related-files');

var _relatedFiles2 = _interopRequireDefault(_relatedFiles);

var _atpUi = require('atp-ui');

var _atpMedia = require('atp-media');

var _atpTags = require('atp-tags');

var _atpUac = require('atp-uac');

var _atpInlineEdit = require('atp-inline-edit');

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CanEdit = function CanEdit(props) {
    return _react2.default.createElement(_atpUac.HasPermission, _extends({ yes: true, permissions: ["media.file.update"] }, props));
};
var CantEdit = function CantEdit(props) {
    return _react2.default.createElement(_atpUac.HasPermission, _extends({ no: true, permissions: ["media.file.update"] }, props));
};

exports.default = function (_ref) {
    var media = _ref.media,
        onMediaDelete = _ref.onMediaDelete,
        updateImage = _ref.updateImage;
    return media ? _react2.default.createElement(
        _reactBootstrap.Row,
        null,
        _react2.default.createElement(
            _reactBootstrap.Col,
            { xs: 12, md: 10, mdOffset: 1, lg: 8, lgOffset: 2 },
            _react2.default.createElement(
                _reactBootstrap.Row,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12 },
                    _react2.default.createElement(
                        CanEdit,
                        null,
                        _react2.default.createElement(
                            'div',
                            { style: { float: "right" } },
                            _react2.default.createElement(_atpUi.DeleteButton, {
                                id: 'mediaDeleteBtn' + media.id,
                                text: 'Delete media',
                                size: 'lg',
                                message: 'Are you sure you want to delete the image "' + media.fileName + '.' + media.fileExtension + '?"  This cannot be undone.',
                                confirmText: 'Yes, delete it',
                                cancelText: 'No, keep it.',
                                width: '250px',
                                onClick: onMediaDelete
                            })
                        )
                    ),
                    _react2.default.createElement(
                        'h1',
                        null,
                        _react2.default.createElement(
                            CanEdit,
                            null,
                            _react2.default.createElement(_atpInlineEdit.InlineEdit.Text, {
                                id: "media.title.edit" + media.id,
                                inline: true,
                                value: media.title,
                                name: 'title',
                                placeHolder: 'No title set',
                                onSave: updateImage
                            })
                        ),
                        _react2.default.createElement(
                            CantEdit,
                            null,
                            media.title
                        ),
                        _react2.default.createElement('br', null),
                        _react2.default.createElement(
                            'small',
                            null,
                            media.fileName,
                            '.',
                            media.fileExtension
                        )
                    )
                )
            ),
            _react2.default.createElement(
                _reactBootstrap.Row,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12, sm: 6 },
                    _react2.default.createElement(_atpMedia.MediaSelector.Image, { title: 'Image', imageId: media.id, onSave: function onSave() {}, uploadOnly: true, width: false, height: false })
                ),
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12, sm: 6 },
                    _react2.default.createElement(
                        _reactBootstrap.Panel,
                        null,
                        _react2.default.createElement(
                            _reactBootstrap.Panel.Heading,
                            null,
                            _react2.default.createElement(_reactFontAwesome.Icon.File, null),
                            ' Description'
                        ),
                        _react2.default.createElement(
                            _reactBootstrap.Panel.Body,
                            null,
                            _react2.default.createElement(
                                CanEdit,
                                null,
                                _react2.default.createElement(_atpInlineEdit.InlineEdit.Wysiwyg, {
                                    id: "media.description.edit" + media.id,
                                    value: media.description,
                                    name: 'description',
                                    rows: 10,
                                    onSave: updateImage
                                })
                            ),
                            _react2.default.createElement(
                                CantEdit,
                                null,
                                _react2.default.createElement(_atpUi.Markdown, { markdown: media.description })
                            )
                        )
                    ),
                    _react2.default.createElement(_relatedFiles2.default, { media: media }),
                    _react2.default.createElement(_atpTags.Tags, { entityType: 'mediaFile', entityId: media.id })
                )
            )
        )
    ) : _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_reactFontAwesome.Icon.Spinner, { spin: true }),
        ' Loading...'
    );
};