"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require("react-bootstrap");

var _create = require("../../containers/media/form/create");

var _create2 = _interopRequireDefault(_create);

var _image = require("../../containers/image");

var _image2 = _interopRequireDefault(_image);

var _reactMasonryComponent = require("react-masonry-component");

var _reactMasonryComponent2 = _interopRequireDefault(_reactMasonryComponent);

var _reactLinesEllipsis = require("react-lines-ellipsis");

var _reactLinesEllipsis2 = _interopRequireDefault(_reactLinesEllipsis);

var _responsiveHOC = require("react-lines-ellipsis/lib/responsiveHOC");

var _responsiveHOC2 = _interopRequireDefault(_responsiveHOC);

var _atpUi = require("atp-ui");

var _reactFontAwesome = require("react-font-awesome-5");

var _links = require("../links");

var _atpTags = require("atp-tags");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var ResponsiveEllipsis = (0, _responsiveHOC2.default)()(_reactLinesEllipsis2.default);

exports.default = function (_ref) {
    var pagerId = _ref.pagerId,
        onUpload = _ref.onUpload,
        media = _ref.media,
        onMediaDelete = _ref.onMediaDelete,
        onNameFilterChange = _ref.onNameFilterChange,
        onTitleFilterChange = _ref.onTitleFilterChange,
        onAddTag = _ref.onAddTag,
        onRemoveTag = _ref.onRemoveTag,
        tagFilter = _ref.tagFilter;
    return _react2.default.createElement(
        _reactBootstrap.Row,
        null,
        _react2.default.createElement(
            _reactBootstrap.Col,
            { xs: 12, sm: 2 },
            _react2.default.createElement(
                _reactBootstrap.Panel,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Panel.Heading,
                    null,
                    _react2.default.createElement(_reactFontAwesome.Icon.Search, null),
                    " Filter by file name:"
                ),
                _react2.default.createElement(
                    _reactBootstrap.Panel.Body,
                    null,
                    _react2.default.createElement("input", { className: "form-control", onChange: onNameFilterChange })
                )
            ),
            _react2.default.createElement(
                _reactBootstrap.Panel,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Panel.Heading,
                    null,
                    _react2.default.createElement(_reactFontAwesome.Icon.Search, null),
                    " Filter by title:"
                ),
                _react2.default.createElement(
                    _reactBootstrap.Panel.Body,
                    null,
                    _react2.default.createElement("input", { className: "form-control", onChange: onTitleFilterChange })
                )
            ),
            _react2.default.createElement(
                _reactBootstrap.Panel,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Panel.Heading,
                    null,
                    _react2.default.createElement(_reactFontAwesome.Icon.Search, null),
                    " Filter by tags:"
                ),
                _react2.default.createElement(
                    _reactBootstrap.Panel.Body,
                    null,
                    [].concat(_toConsumableArray(tagFilter.values())).map(function (tag) {
                        return _react2.default.createElement(
                            _reactBootstrap.Badge,
                            { key: tag },
                            tag,
                            "  ",
                            _react2.default.createElement(_reactFontAwesome.Icon.Times, { onClick: onRemoveTag(tag) })
                        );
                    }),
                    _react2.default.createElement(
                        _atpTags.TagSelector,
                        { id: "mediaListTagFilter", onAdd: onAddTag, noCreate: true },
                        _react2.default.createElement(_reactFontAwesome.Icon.Plus, null),
                        " Add tags"
                    )
                )
            )
        ),
        _react2.default.createElement(
            _reactBootstrap.Col,
            { xs: 12, sm: 10 },
            _react2.default.createElement(
                _reactBootstrap.Row,
                null,
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12, className: "text-right" },
                    _react2.default.createElement(_create2.default, { showText: true, bsSize: "lg", onUpload: onUpload })
                ),
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12 },
                    _react2.default.createElement(
                        "div",
                        { style: { textAlign: "center" } },
                        _react2.default.createElement(_atpUi.Paginator, { name: pagerId, pagesToShow: { outer: 2, inner: 2 } })
                    )
                ),
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12, style: { paddingTop: "15px" } },
                    _react2.default.createElement(
                        _reactBootstrap.Row,
                        null,
                        _react2.default.createElement(
                            _reactMasonryComponent2.default,
                            null,
                            media.map(function (item) {
                                return _react2.default.createElement(
                                    _reactBootstrap.Col,
                                    { key: item.id, xs: 6, sm: 3, md: 2 },
                                    _react2.default.createElement(
                                        _reactBootstrap.Panel,
                                        null,
                                        _react2.default.createElement(
                                            _reactBootstrap.Panel.Heading,
                                            null,
                                            _react2.default.createElement(
                                                "div",
                                                { style: { float: "right" } },
                                                _react2.default.createElement(_atpUi.DeleteButton, {
                                                    id: "mediaDeleteBtn" + item.id,
                                                    text: "Delete",
                                                    message: "Are you sure you want to delete the image \"" + item.fileName + "." + item.fileExtension + "?\"  This cannot be undone.",
                                                    confirmText: "Yes, delete it",
                                                    cancelText: "No, keep it.",
                                                    width: "250px",
                                                    onClick: onMediaDelete(item.id)
                                                })
                                            ),
                                            _react2.default.createElement(ResponsiveEllipsis, {
                                                text: item.fileName + "." + item.fileExtension,
                                                maxLine: 2
                                            })
                                        ),
                                        _react2.default.createElement(
                                            _links.MediaLink,
                                            { media: item },
                                            _react2.default.createElement(_image2.default, { imageId: item.id, width: 300, height: 300 })
                                        ),
                                        _react2.default.createElement(
                                            _reactBootstrap.Panel.Footer,
                                            null,
                                            item.title || _react2.default.createElement(
                                                "em",
                                                null,
                                                "No title"
                                            )
                                        )
                                    )
                                );
                            })
                        )
                    )
                ),
                _react2.default.createElement(
                    _reactBootstrap.Col,
                    { xs: 12 },
                    _react2.default.createElement(
                        "div",
                        { style: { textAlign: "center" } },
                        _react2.default.createElement(_atpUi.Paginator, { name: pagerId, pagesToShow: { outer: 2, inner: 2 } })
                    )
                )
            )
        )
    );
};