'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _atpUi = require('atp-ui');

var _filesize = require('filesize');

var _filesize2 = _interopRequireDefault(_filesize);

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
    var files = _ref.files;
    return _react2.default.createElement(
        _reactBootstrap.Panel,
        null,
        _react2.default.createElement(
            _reactBootstrap.Panel.Heading,
            null,
            _react2.default.createElement(_reactFontAwesome.Icon.Image, { stack: true }),
            ' Related S3 Files'
        ),
        _react2.default.createElement(
            _reactBootstrap.Table,
            null,
            _react2.default.createElement(
                'thead',
                null,
                _react2.default.createElement(
                    'tr',
                    null,
                    _react2.default.createElement(
                        'th',
                        null,
                        'File name'
                    ),
                    _react2.default.createElement(
                        'th',
                        null,
                        'Size'
                    ),
                    _react2.default.createElement('th', null)
                )
            ),
            _react2.default.createElement(
                'tbody',
                null,
                files.map(function (file, index) {
                    return _react2.default.createElement(
                        'tr',
                        { key: file.ETag, className: index === 0 ? "text-info" : "" },
                        _react2.default.createElement(
                            'td',
                            null,
                            file.Key,
                            ' ',
                            index === 0 ? "(base file)" : ""
                        ),
                        _react2.default.createElement(
                            'td',
                            null,
                            (0, _filesize2.default)(file.Size, { round: 0 })
                        ),
                        _react2.default.createElement(
                            'td',
                            null,
                            _react2.default.createElement(_atpUi.DeleteButton, {
                                id: 's3FileDeleteBtn' + file.ETag,
                                message: 'Are you sure you want to delete this media file from S3?  This cannot be undone.',
                                confirmText: 'Yes, delete it',
                                cancelText: 'No, keep it',
                                width: '250px'
                            })
                        )
                    );
                })
            )
        )
    );
};