"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactRedux = require("react-redux");

var _reactLifecycleComponent = require("react-lifecycle-component");

var _media = require("../../reducer/media");

var imageLoader = function imageLoader(props, dispatch) {
    return function () {
        if (props.imageId && !props.image) {
            dispatch((0, _media.Media)().action.fetch(props.imageId));
        }
    };
};

exports.default = function (component) {
    return (0, _reactRedux.connect)(function (state, props) {
        return {
            image: props.imageId ? (0, _media.Media)().select.one(function () {
                return state;
            }, props.imageId) : null,
            width: typeof props.width !== 'undefined' ? props.width : 300,
            height: typeof props.height !== 'undefined' ? props.height : 300
        };
    })((0, _reactLifecycleComponent.connectWithLifecycle)(null, function (dispatch, props) {
        return {
            componentDidMount: imageLoader(props, dispatch),
            componentDidUpdate: imageLoader(props, dispatch)
        };
    })(component));
};