"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _media = require("../../reducer/media");

var _list = require("../../components/media/list");

var _list2 = _interopRequireDefault(_list);

var _reactLifecycleComponent = require("react-lifecycle-component");

var _basicReducers = require("basic-reducers");

var _atpPointfree = require("atp-pointfree");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var pagerId = "mediaListPager";
var perPage = 10;
var filterId = "mediaListMainFilter";
var fileNameFilterId = filterId + "FileName";
var titleFilterId = filterId + "Title";
var tagFilterId = filterId + "Tag";

var fetchMedia = function fetchMedia(dispatch, props) {
    var filters = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

    dispatch((0, _media.Media)().action.collection.get(_extends({}, filters, {
        offset: props.offset,
        perPage: perPage
    }), function (data) {
        dispatch(_basicReducers.paginator.setPageCount(pagerId, Math.ceil(data.meta.totalRecords / perPage)));
    }));
};

exports.default = (0, _reactLifecycleComponent.connectWithLifecycle)(function (state, props) {
    return {
        pagerId: pagerId,
        offset: (_basicReducers.paginator.get((0, _atpPointfree.get)(state), pagerId).page - 1) * perPage,
        fileNameFilter: _basicReducers.input.value((0, _atpPointfree.get)(state), fileNameFilterId),
        titleFilter: _basicReducers.input.value((0, _atpPointfree.get)(state), titleFilterId),
        tagFilter: _basicReducers.set.values((0, _atpPointfree.get)(state), tagFilterId),
        perPage: perPage,
        media: (0, _media.Media)().select.byList(function () {
            return state;
        }, {
            offset: (_basicReducers.paginator.get((0, _atpPointfree.get)(state), pagerId).page - 1) * perPage,
            fileName: _basicReducers.input.value((0, _atpPointfree.get)(state), fileNameFilterId),
            title: _basicReducers.input.value((0, _atpPointfree.get)(state), titleFilterId),
            tag: [].concat(_toConsumableArray(_basicReducers.set.values((0, _atpPointfree.get)(state), tagFilterId).values())),
            perPage: perPage
        })
    };
}, function (dispatch, props) {
    return {
        componentDidMount: function componentDidMount() {
            console.log("Mount");
            dispatch((0, _media.Media)().action.collection.get({
                offset: 0,
                fileName: null,
                title: null,
                tag: [],
                perPage: perPage
            }, function (data) {
                dispatch(_basicReducers.paginator.setPageCount(pagerId, Math.ceil(data.meta.totalRecords / perPage)));
            }));
        },
        componentWillReceiveProps: function componentWillReceiveProps(newProps) {
            if (newProps.offset !== this.props.offset || newProps.fileNameFilter !== this.props.fileNameFilter || newProps.titleFilter !== this.props.titleFilter || newProps.tagFilter !== this.props.tagFilter) {
                dispatch((0, _media.Media)().action.collection.get({
                    offset: newProps.offset,
                    fileName: newProps.fileNameFilter,
                    title: newProps.titleFilter,
                    tag: [].concat(_toConsumableArray(newProps.tagFilter.values())),
                    perPage: perPage
                }, function (data) {
                    dispatch(_basicReducers.paginator.setPageCount(pagerId, Math.ceil(data.meta.totalRecords / perPage)));
                }));
            }
        },
        onNameFilterChange: function onNameFilterChange(e) {
            dispatch(_basicReducers.input.set(fileNameFilterId, e.target.value));
        },
        onTitleFilterChange: function onTitleFilterChange(e) {
            dispatch(_basicReducers.input.set(titleFilterId, e.target.value));
        },
        onAddTag: function onAddTag(tag) {
            console.log("Adding tag: " + tag);
            dispatch(_basicReducers.set.add(tagFilterId, tag));
        },
        onRemoveTag: function onRemoveTag(tag) {
            return function () {
                dispatch(_basicReducers.set.remove(tagFilterId, tag));
            };
        },
        onUpload: function onUpload(data) {
            (0, _media.Media)().action.collection.get({})(dispatch, props);
            dispatch((0, _media.Media)().action.select(data.results.id));
        },
        onMediaDelete: function onMediaDelete(id) {
            return function () {
                dispatch((0, _media.Media)().action.delete(id));
            };
        }
    };
})(_list2.default);