'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _reactLifecycleComponent = require('react-lifecycle-component');

var _relatedFiles = require('../../components/media/related-files');

var _relatedFiles2 = _interopRequireDefault(_relatedFiles);

var _file = require('../../reducer/file');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mainPrefix = function mainPrefix(media) {
    return '' + (media.s3Prefix ? media.s3Prefix + " - " : "") + media.fileName + '.' + media.fileExtension;
};
var otherPrefix = function otherPrefix(media) {
    return '' + (media.s3Prefix ? media.s3Prefix + " - " : "") + media.fileName + ' - ';
};

exports.default = (0, _reactLifecycleComponent.connectWithLifecycle)(function (state, _ref) {
    var media = _ref.media;
    return {
        files: (0, _file.File)().select.byList(function () {
            return state;
        }, { prefix: mainPrefix(media) }).concat((0, _file.File)().select.byList(function () {
            return state;
        }, { prefix: otherPrefix(media) }))
    };
}, function (dispatch, _ref2) {
    var media = _ref2.media;
    return {
        componentDidMount: function componentDidMount() {
            dispatch((0, _file.File)().action.collection.get({ prefix: otherPrefix(media) }));
            dispatch((0, _file.File)().action.collection.get({ prefix: mainPrefix(media) }));
        },
        componentWillReceiveProps: function componentWillReceiveProps(newProps) {
            if (newProps.media !== media) {
                dispatch((0, _file.File)().action.collection.get({ prefix: otherPrefix(newProps.media) }));
                dispatch((0, _file.File)().action.collection.get({ prefix: mainPrefix(newProps.media) }));
            }
        }
    };
})(_relatedFiles2.default);