'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isUploading = exports.uploadComplete = exports.uploadStart = exports.Image = exports.MediaSelector = exports.NewMediaForm = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _redux = require('redux');

var _reactRouter = require('react-router');

var _atpReactTabRouter = require('atp-react-tab-router');

var _list = require('./containers/media/list');

var _list2 = _interopRequireDefault(_list);

var _create = require('./containers/media/form/create');

var _create2 = _interopRequireDefault(_create);

var _selector = require('./containers/image/selector');

var _selector2 = _interopRequireDefault(_selector);

var _image = require('./containers/image');

var _image2 = _interopRequireDefault(_image);

var _details = require('./containers/media/details');

var _details2 = _interopRequireDefault(_details);

var _uploads = require('./reducer/uploads');

var _uploads2 = _interopRequireDefault(_uploads);

var _reactFontAwesome = require('react-font-awesome-5');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var MediaSelector = {
    Image: _selector2.default
};

exports.NewMediaForm = _create2.default;
exports.MediaSelector = MediaSelector;
exports.Image = _image2.default;
exports.uploadStart = _uploads.uploadStart;
exports.uploadComplete = _uploads.uploadComplete;
exports.isUploading = _uploads.isUploading;
exports.default = {
    reducers: {
        media: (0, _redux.combineReducers)({
            uploads: _uploads2.default
        })
    },
    routes: [_react2.default.createElement(_reactRouter.Route, { path: '/media', key: '/media', exact: true, render: function render() {
            return _react2.default.createElement(_list2.default, null);
        } }), _react2.default.createElement(_reactRouter.Route, { path: '/media/file/:fileId', key: '/media/file/:fileId', exact: true, render: function render(_ref) {
            var match = _ref.match;
            return _react2.default.createElement(_details2.default, { fileId: match.params.fileId });
        } })],
    init: {
        ui: {
            menus: {
                main: {
                    media: {
                        label: _react2.default.createElement(
                            'span',
                            null,
                            _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
                            ' Media'
                        ),
                        sortOrder: 0,
                        permissions: ['media.navMenu.view'],
                        children: {
                            dashboard: {
                                label: _react2.default.createElement(
                                    _atpReactTabRouter.Link,
                                    {
                                        to: '/media',
                                        label: _react2.default.createElement(
                                            'span',
                                            null,
                                            _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
                                            ' Files'
                                        ),
                                        target: 'new'
                                    },
                                    _react2.default.createElement(_reactFontAwesome.Icon.Image, null),
                                    ' Files'
                                ),
                                noAnchor: true,
                                sortOrder: 0
                            }
                        }
                    }
                }
            }
        }
    }
};