'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.isUploading = exports.uploadComplete = exports.uploadStart = exports.UPLOAD_MEDIA_COMPLETE = exports.UPLOAD_MEDIA_START = undefined;

var _atpSugar = require('atp-sugar');

var _atpPointfree = require('atp-pointfree');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

//Action types
var UPLOAD_MEDIA_START = exports.UPLOAD_MEDIA_START = "atp-media/media/upload/start";
var UPLOAD_MEDIA_COMPLETE = exports.UPLOAD_MEDIA_COMPLETE = "atp-media/media/upload/complete";

//Action creators
var uploadStart = exports.uploadStart = function uploadStart(uploadId) {
    return { type: UPLOAD_MEDIA_START, uploadId: uploadId };
};
var uploadComplete = exports.uploadComplete = function uploadComplete(uploadId) {
    return { type: UPLOAD_MEDIA_COMPLETE, uploadId: uploadId };
};

//Selectors
var isUploading = exports.isUploading = function isUploading(getState, uploadId) {
    return getState().media.uploads.indexOf(uploadId) !== -1;
};

//Reducer

exports.default = function () {
    var _o$switch;

    var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
    var action = arguments[1];
    return (0, _atpSugar.o)(action.type).switch((_o$switch = {}, _defineProperty(_o$switch, UPLOAD_MEDIA_START, function () {
        return state.concat(action.uploadId);
    }), _defineProperty(_o$switch, UPLOAD_MEDIA_COMPLETE, function () {
        return (0, _atpPointfree.splice)(state.indexOf(action.uploadId), 1)(state);
    }), _defineProperty(_o$switch, 'default', function _default() {
        return state;
    }), _o$switch));
};